/* import google cdn fonts */
@import url('https://fonts.googleapis.com/css2?family=Space+Mono:ital,wght@0,400;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Mogra&display=swap');


/* global css vars */
:root {
  
  --black: #333333;
  --blue: #3ec1d3; /* main color */
  --blueDark: #5cafba; /* monochromatic of blue */
  --brown: #d38d3e; /* complementary */ /* FOR BUTTONS */
  --brownDark: #ba8e5c; /* monochromatic of brown */
  --greyLight: #bfbfbf;
  --green: #3ed34f; /* analogous */ /* FOR BUTTONS */
  --yellowLight: #f6f7d7; /* from palette */
  --orange: #ff9a00; /* from palette */
  --red: #d3433e; /* complementary */ /* FOR BUTTONS */
  --salmon: #ff165d; /* from palette */
  --white: #ffffff;
  --whiteDark: #f2f2f2;
  
}

/* global configs */
html, body {
    height: 100%;
}

body {
  
  background-color: var(--white);
  font-family: 'Space Mono', monospace;
  line-height: 0;
  
}

.lineHeight {
  line-height: 2;
}

#__next {
  
  display: flex;
  flex-direction: column;
  height: 100%;
  
}

.flexGrowPage {
  display: flex;
  flex-direction: column;
  flex: 1 0 auto;
}

.flexGrowDiv {
  flex: 1 0 auto;
}

.titles {
  font-weight: 900;
  font-style: italic;
  margin-bottom: 25px;
  margin-top: 25px;
  color: var(--blue);
  white-space: pre-line !important;
}

.logo {
  color: var(--blue);
  font-family: 'Mogra', cursive;
  font-weight: 900;
  font-size: 100px;
  margin-bottom: 25px;
  margin-top: 25px;
  user-select: none;
}

.whiteText {
  color: white;
}

.orangeText {
  color: var(--orange);
}

.actionButton {
  background-color: var(--brown) !important;
  border-color: var(--brown) !important;
}

.actionButton:hover {
  background-color: var(--brownDark) !important;
  border-color: var(--brownDark) !important;
}

.ripple {
  background-position: center;
  transition: background 0.3s;
}

.ripple:active {
  background-color: grey !important;
  background-size: 100%;
  transition: background 0s;
}

.brandRipple {
  transition: color 0.3s;
}

.brandRipple:active {
  color: var(--greyLight) !important;
  transition: color 0s;
}

.textRipple {
  transition: font-size 0.3s;
}

.textRipple:active {
  transition: font-size 0s;
  font-size: 18px;
}

/*.nav-pills .nav-link.active, .nav-pills .show>.nav-link {*/
/*  background-color: red;*/
/*}*/
